.container{
    padding: 4rem;
}

.container h1{
    text-align: center;
    font-size: 54px;
}

.container h1 span{
    color: #fcb71d;
}
.projectsList{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 40px;
    margin-top: 50px;
}

.project{
    border-radius: 15px;
    position: relative;
    overflow: hidden;
}

.project img{
    width: 100%;
    height: 100%;
    display: block;
    border-radius: 15px;
    transition: transform 0.5s;
}

.layer{
    position: absolute;
    width: 100%;
    height: 0;
    display: flex;
    padding: 0 40px;
    left: 0;
    bottom: 0;
    background: linear-gradient(rgba(0,0,0,0.55), #fcb51dd1);
    border-radius: 10px;
    text-align: center;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    font-size: 16px;
    transition: height 0.5s;
    overflow: hidden;
}

.layer h3{
    font-weight: 600;
    margin: 0 0 20px;
    font-size: 3.5rem;
}

.layer p{
    font-size: 18px;
    font-weight: 600;
    letter-spacing: 1px;
}

.layer a{
    margin: 20px 0 0;
    text-decoration: none;
    text-align: center;
    font-size: 20px;
    line-height: 60px;
    width: 60px;
    height: 60px;
    background: #ffffff;
    border-radius: 50%;
    color: #ff004f;
}


.project:hover img{
    transform: scale(1.1);
}
.project:hover .layer{
    height: 100%;
}


/*  ------ responsive ------- */

@media only screen and (max-width : 600px){
    .container {
        padding: 0.5rem;
    }
    .container h1 {
        font-size: 34px;
    }
    .project{
        padding: 4%;
    }
    .projectsList {
        margin-top: 40px;
        display: flex;
        flex-direction: column;
    }
    .layer h3 {
        margin: 0;
        font-size: 1rem;
    }
    .layer p {
        font-size: 10px;
    }
    .layer a {
        margin: 12px 0 0;
        font-size: 10px;
        line-height: 30px;
        width: 30px;
        height: 30px;
        color: #ff004f;
    }
}